"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridRow = void 0;
const react_1 = __importDefault(require("react"));
const native_1 = __importDefault(require("@emotion/native"));
const GridRow = ({ children, style }) => {
    return (react_1.default.createElement(GridRowContainer, { "aria-label": 'grid-row', style: [style] }, children));
};
exports.GridRow = GridRow;
const GridRowContainer = native_1.default.View(() => {
    return {
        display: 'flex',
        flexDirection: 'row',
        flexWrap: 'wrap',
    };
});
