import { Dispatch, FC, ReactNode, SetStateAction } from 'react';
export type SelectboxContext = {
    renderValue: ReactNode | null;
    setRenderValue: Dispatch<SetStateAction<ReactNode | null>>;
};
export type SelectboxProviderProps = {
    children: ReactNode;
};
export declare const SelectboxProvider: FC<SelectboxProviderProps>;
export declare const useSelectbox: () => SelectboxContext;
