import { FC, ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
export type ListProps = {
    children: ReactNode;
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    compact?: boolean;
    mode?: 'view' | 'interactive';
    onClick?: (value: string, renderValue: ReactNode) => void;
    selected?: string;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    style?: {
        container?: StyleProp<ViewStyle>;
    };
};
export declare const List: FC<ListProps>;
